Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[gelöst] GIMP 2.9.5 git

Alles rund um das Thema Multimedia unter Linux

Moderator: Moderatoren

Antworten
Benutzeravatar
teetasse
Newbie
Newbie
Beiträge: 45
Registriert: 18. Nov 2006, 22:23

[gelöst] GIMP 2.9.5 git

Beitrag von teetasse » 30. Aug 2017, 21:20

Hallo,
ich habe mir, weil GIMP 2.9.6 noch nicht verfügbar war, die Version 2.9.5 git20170805 aus dem Repo home:Sauerland installiert und hätte gern eine deutsche Oberfläche. Hab ich das Paket dafür übersehen oder ist das noch nicht möglich? Meine Pakete mit "gimp" im Namen sind:

Code: Alles auswählen

gimp-2.9.5.git20170805-11.6.x86_64
libgimp-2_0-0-2.9.5.git20170805-11.6.x86_64
libgimpui-2_0-0-2.9.5.git20170805-11.6.x86_64
gimp-data-2.9.5.git20170805-11.6.noarch
inkscape-extensions-gimp-0.92.2-16.2.x86_64
gimp-save-for-web-0.29.3-1.8.x86_64
gimp-help-browser-2.9.5.git20170805-11.6.x86_64
gimp-branding-upstream-2.9.5.git20170805-11.6.noarch
Einen Hinweis noch an den Maintainer (der hier ja mitliest). Die Version lies sich problemlos auf meinem Leap 42.2 installieren, obwohl ich nur libgexif2 0.10.4 installiert hatte. Beim Start beschwerte sich Gimp, dass es die Version 0.10.6 benötigt, die ich von home:Sauerland nachinstalliert habe. Es wäre natürlich schöner, wenn zypper das gleich als Abhängigkeit mitinstalliert hätte.
Zuletzt geändert von teetasse am 30. Aug 2017, 22:03, insgesamt 3-mal geändert.
openSUSE Leap 42.3

Werbung:
Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5169
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: GIMP 2.9.5 git

Beitrag von tomm.fa » 30. Aug 2017, 21:25

Du könntest ja noch gimp-lang aus dessen Repo installieren.
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!

Benutzeravatar
teetasse
Newbie
Newbie
Beiträge: 45
Registriert: 18. Nov 2006, 22:23

Re: GIMP 2.9.5 git

Beitrag von teetasse » 30. Aug 2017, 21:30

Das klingt gut, aber dieses Paket scheint es unter openSUSE nicht zu geben. Ich habe es weder in home:Sauerland gefunden noch bei der Paketsuche unter software.opensuse.org
(als Suchbegriffe habe ich gimp-lang und gimp (mit Anzeige aller Unterpakete) probiert.)
Zuletzt geändert von teetasse am 30. Aug 2017, 21:38, insgesamt 1-mal geändert.
openSUSE Leap 42.3

Benutzeravatar
tomm.fa
Moderator
Moderator
Beiträge: 5169
Registriert: 21. Jan 2006, 17:18
Wohnort: OWL - Kreis Gütersloh
Kontaktdaten:

Re: GIMP 2.9.5 git

Beitrag von tomm.fa » 30. Aug 2017, 21:33

Ist auf jeden Fall vorhanden: http://download.opensuse.org/repositori ... .2/noarch/
Noch ein Beweis:

Code: Alles auswählen

zypper -p http://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_42.2/ se -s gimp-lang
Retrieving repository 'http://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_42.2/' metadata ---------------------------------------------------------[\]

New repository or package signing key received:

  Repository:       http://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_42.2/
  Key Name:         home:Sauerland OBS Project <home:Sauerland@build.opensuse.org>               
  Key Fingerprint:  574ADCCC 9338C02B 5C4A189A 274389B3 E45195D5                                 
  Key Created:      Fri Dec  9 00:17:55 2016                                                     
  Key Expires:      Sun Feb 17 00:17:55 2019                                                     
  Rpm Name:         gpg-pubkey-e45195d5-5849ea23                                                 


Do you want to reject the key, trust temporarily, or trust always? [r/t/a/? shows all options] (r): t
Retrieving repository 'http://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_42.2/' metadata ......................................................[done]
Building repository 'http://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_42.2/' cache ...........................................................[done]
Loading repository data...
Reading installed packages...

S  | Name      | Type    | Version                | Arch   | Repository                                                                   
---+-----------+---------+------------------------+--------+------------------------------------------------------------------------------
v  | gimp-lang | package | 2.8.22-6.1             | noarch | Grafikrepositorium                                                           
v  | gimp-lang | package | 2.9.5.git20170805-12.1 | noarch | http://download.opensuse.org/repositories/home:/Sauerland/openSUSE_Leap_42.2/
i+ | gimp-lang | package | 2.8.18-2.3.1           | noarch | openSUSE-Leap-Update                                                         
v  | gimp-lang | package | 2.8.18-1.4             | noarch | openSUSE-Leap-Oss
Hast du das Repositorium denn eingebunden? Was ergeben die Ausgaben von

Code: Alles auswählen

zypper lr -d

Code: Alles auswählen

zypper se -s gimp-lang
?
Linupedia - Wiki des Linux-Club.
Keine Unterstützung/Hilfestellung per PN!

Sauerland
Guru
Guru
Beiträge: 3230
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: GIMP 2.9.5 git

Beitrag von Sauerland » 30. Aug 2017, 21:49

Einen Hinweis noch an den Maintainer (der hier ja mitliest). Die Version lies sich problemlos auf meinem Leap 42.2 installieren, obwohl ich nur libgexif2 0.10.4 installiert hatte. Beim Start beschwerte sich Gimp, dass es die Version 0.10.6 benötigt, die ich von home:Sauerland nachinstalliert habe. Es wäre natürlich schöner, wenn zypper das gleich als Abhängigkeit mitinstalliert hätte.
Danke für die Rückmeldung.
Desktop: OpenSUSE Leap 15.0, Nvidia-Grafik Kernel 4.x
Laptop: OpenSUSE Leap 15.0, Intel-Skylake, Kernel 4.12

Benutzeravatar
teetasse
Newbie
Newbie
Beiträge: 45
Registriert: 18. Nov 2006, 22:23

Re: GIMP 2.9.5 git

Beitrag von teetasse » 30. Aug 2017, 21:58

OK, danke für den Tipp!

Ich hab es nicht selbst gefunden, weil ich die Paketsuche per Browser-Keyword von Firefox aufrufe: stw gimp-lang ("stw" ist das Keyword für den Bookmark)
Darin war die Option "Zeige Entwicklungs-, Sprach- und Debugpakete" nicht gesetzt, meine Installation ist noch relativ frisch. Ich habe jetzt im Bookmark den Get-Parameter &search_devel=true ergänzt.
Ohne Bookmark wird diese Option sichtbar, wenn man auf das "Werkzeug"-Icon neben dem Suchfeld klickt.

Jetzt habe ich auch eine deutsche Oberfläche. :thumbs:
Zuletzt geändert von teetasse am 30. Aug 2017, 22:15, insgesamt 4-mal geändert.
openSUSE Leap 42.3

Sauerland
Guru
Guru
Beiträge: 3230
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: GIMP 2.9.5 git

Beitrag von Sauerland » 30. Aug 2017, 22:01

Sauerland hat geschrieben:
30. Aug 2017, 21:49
Einen Hinweis noch an den Maintainer (der hier ja mitliest). Die Version lies sich problemlos auf meinem Leap 42.2 installieren, obwohl ich nur libgexif2 0.10.4 installiert hatte. Beim Start beschwerte sich Gimp, dass es die Version 0.10.6 benötigt, die ich von home:Sauerland nachinstalliert habe. Es wäre natürlich schöner, wenn zypper das gleich als Abhängigkeit mitinstalliert hätte.
Danke für die Rückmeldung.
Sollte jetzt eigentlich als Abhängigkeit mitinstalliert werden. Oder zumindest angemeckert........
Desktop: OpenSUSE Leap 15.0, Nvidia-Grafik Kernel 4.x
Laptop: OpenSUSE Leap 15.0, Intel-Skylake, Kernel 4.12

Benutzeravatar
teetasse
Newbie
Newbie
Beiträge: 45
Registriert: 18. Nov 2006, 22:23

Re: GIMP 2.9.5 git

Beitrag von teetasse » 30. Aug 2017, 22:04

Sollte jetzt eigentlich als Abhängigkeit mitinstalliert werden. Oder zumindest angemeckert........
Auch dir vielen Dank!
openSUSE Leap 42.3

Benutzeravatar
teetasse
Newbie
Newbie
Beiträge: 45
Registriert: 18. Nov 2006, 22:23

Re: [gelöst] GIMP 2.9.5 git

Beitrag von teetasse » 3. Okt 2017, 19:45

Nach dem Update auf Leap 42.3 (und Installation der git-Version) startet GIMP nicht mehr, weil BABL 0.1.31 benötigt wird.
openSUSE Leap 42.3

Sauerland
Guru
Guru
Beiträge: 3230
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: [gelöst] GIMP 2.9.5 git

Beitrag von Sauerland » 3. Okt 2017, 22:08

Tja, wenn man nur halbherzig installiert...........
Desktop: OpenSUSE Leap 15.0, Nvidia-Grafik Kernel 4.x
Laptop: OpenSUSE Leap 15.0, Intel-Skylake, Kernel 4.12

Benutzeravatar
teetasse
Newbie
Newbie
Beiträge: 45
Registriert: 18. Nov 2006, 22:23

Re: [gelöst] GIMP 2.9.5 git

Beitrag von teetasse » 3. Okt 2017, 22:33

Für mein System ist mir klar, wie ich das Problem löse. Das war nur ein Hinweis für dich, dass die Abhängigkeit im Paket geändert werden sollte.

Nachdem selbst OBS Graphics bei GIMP 2.8 fest hängt, werden sicher noch mehr Leute deine Version nutzen wollen.
openSUSE Leap 42.3

Sauerland
Guru
Guru
Beiträge: 3230
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: [gelöst] GIMP 2.9.5 git

Beitrag von Sauerland » 3. Okt 2017, 22:38

Wer die Versionen aus meinem Repo benutzt, sollte schon wissen, was er macht.
Desktop: OpenSUSE Leap 15.0, Nvidia-Grafik Kernel 4.x
Laptop: OpenSUSE Leap 15.0, Intel-Skylake, Kernel 4.12

Antworten